Appearance
List Subscriptions
Retrieve all subscriptions in your account.
GET /v1/subscriptionsQuery Parameters
| Parameter | Type | Description |
|---|---|---|
page | number | Page number (default: 1) |
per_page | number | Items per page (default: 20, max: 100) |
search | string | Matches customer email or license key |
product_id | string | Filter by product ID |
status | string | Filter by status: active, canceled, past_due |
created_from | string | Created on/after this date (YYYY-MM-DD) |
created_to | string | Created on/before this date (YYYY-MM-DD) |
Response
json
{
"data": [
{
"id": "sub_xxx",
"licenseId": "lic_xxx",
"planId": "plan_xxx",
"status": "active",
"cancelAtPeriodEnd": false,
"currentPeriodStart": "2026-06-01T10:00:00Z",
"currentPeriodEnd": "2027-06-01T10:00:00Z",
"polarSubscriptionId": null,
"stripeSubscriptionId": "sub_stripe_xxx",
"licenseKey": "MYPLUGIN-XXXX-XXXX-XXXX-XXXX",
"customerEmail": "[email protected]",
"productId": "prd_xxx",
"productName": "My Plugin",
"createdAt": "2026-06-01T10:00:00Z",
"updatedAt": "2026-06-01T10:00:00Z"
}
],
"meta": {
"page": 1,
"perPage": 20,
"total": 12,
"totalPages": 1
}
}canceledAt is included once a subscription has been canceled.
Example
bash
curl -X GET "https://api.packedge.dev/v1/subscriptions?status=active" \
-H "Authorization: Bearer pk_your_api_key"